# PCLinuxOS Copyright by Bill Reynolds (Texstar)

%define oname		veromix
%define version		0.18.3
%define release		%mkrel 5


Name:			plasma-applet-%{oname}
Version:		%{version}
Release:		%{release}
Summary:		A mixer for the PulseAudio sound server
URL:			http://code.google.com/p/veromix-plasmoid/
Group:			Graphical desktop/KDE4
License:		GPL v3
Source0:		%{oname}-%{version}.tar.xz
Source1:		veromix-user-installer.sh
Requires:		%{_lib}qtdbus4
Requires:		pyxdg
Requires:		pulseaudio
Requires:		swh-plugins
Requires:		ladspa
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}

%description
Veromix is a mixer for the Pulseaudio sound server. At the moment, the applet
only installs to the current user's home folder. The veromix-user-install is provided
so other users can also install the plasma applet to their home folders.

Features:
	- Media player controls (aka nowplaying)
	- per application voluem control (replay & record)
	- global hotkeys
	- can life in system tray
	- switch sound card profiles (for ex. from regular to HDMI)
	- control LADSPA effects (equalizer and other effects)

Quickstart:
	- middle click on panel icon mutes the default output
	- mouse wheel over panel icon increases/decreases volume
	- drag and drop playback streams between different output devices
	- if expanded:
		- kill playback streams
		- set default output device
		- set per channel volume
		- switch sound card profiles
	- assign hotkeys
	- click the add icon (bottom-right) to add a new effect

%prep
%setup -q -n %{oname}
chmod 755 dbus-service/{Pa2dBus.py,VeromixDbus.py}
chmod 755 plasma/contents/code/Dummy-Testclient-dbus.py

%build
make

%install
%__rm -rf %buildroot
make install-plasmoid DESTDIR=${RPM_BUILD_ROOT}

# Remove unneeded files
rm -f %{buildroot}%{_datadir}/dbus-1/services/org.veromix.pulseaudio.glib.service
rm -f %{buildroot}%{_datadir}/veromix/dbus-service/veromix-service-glib.py

# Fix icon installation
mv %{buildroot}%{_datadir}/icons/ %{buildroot}%{_datadir}/pixmaps/
mv %{buildroot}%{_datadir}/pixmaps/veromix.png %{buildroot}%{_datadir}/pixmaps/veromix-plasmoid.png

mkdir %{buildroot}%{_bindir}
cp %SOURCE1 %{buildroot}%{_datadir}/veromix/
chmod a+x %{buildroot}%{_datadir}/veromix/veromix-user-installer.sh

%find_lang veromix

%post
/sbin/ldconfig
#Copy the installer to the bindir
cp /usr/share/veromix/veromix-user-installer.sh /usr/bin/veromix-user-install

#scriptlet to install symlinks to current user's /home
SYMDIR=/usr/share/kde4/apps/plasma/plasmoids/
PLMDIR=.kde4/share/apps/plasma/plasmoids/
SYMFILE=/usr/share/kde4/services/
DTOP=.kde4/share/kde4/services/

	if [ -L ${PLMDIR}/veromix-plasmoid ]; then 
        	echo "The folder, /home/${USER}/${PLMDIR}veromix-plasmoid already exists."
        	echo "If you are sure it should have been deleted, please do so manually"
        	echo "and run /usr/bin/veromix-user-install again."
	else
        	# Create the folder symlinks
        	ln -s ${SYMDIR}veromix-plasmoid /home/${USER}/${PLMDIR}
    	fi
    	if  [ -f /home/${USER}/${DTOP}veromix.desktop ]; then 
        	echo "The file, /home/${USER}/${DTOP}veromix.desktop already exists."
        	echo "If you are sure it should have been deleted, please do so manually"
        	echo "and run /usr/bin/veromix-user-install again."
        	else
        	# Create the desktop file symlink
        	ln -s ${SYMFILE}plasma-widget-veromix.desktop /home/${USER}/${DTOP}veromix.desktop
	fi

#Send output after install
echo "Important:"
echo "Users, other than the current user, should run"
echo "/usr/bin/veromix-user-install"
echo "to install the plasma-applet on to theirr panels."

%postun
/sbin/ldconfig
SYSUSERS=`cat /etc/passwd | grep "/bin/bash" |grep "[5-9]" |cut -d: -f1`
SYSUSERS=${SYSUSERS/named/}
for idx in $SYSUSERS
 do INP1= rm -rf /home/$idx/.kde4/share/apps/plasma/plasmoids/veromix-plasmoid && rm -f /home/$idx/.kde4/share/kde4/services/veromix.desktop; done
 rm -f /usr/bin/veromix-user-installer

%clean
rm -rf ${RPM_BUILD_ROOT}

%files -f veromix.lang
%defattr(-,root,root,-)
%doc COPYING Changelog
%{_kde_datadir}/kde4/apps/plasma/plasmoids/veromix-plasmoid
%{_kde_datadir}/kde4/services/plasma-widget-veromix.desktop
%{_kde_datadir}/dbus-1/services/org.veromix.pulseaudio.qt.service
%{_kde_datadir}/pixmaps/veromix-plasmoid.png
%{_kde_datadir}/veromix/

%changelog
* Wed Jan 15 2014 bb <bb> 0.18.3-5pclos2014
- fix rpmgroup
